Kerbal Space Program - Feedback #2032

Craft destroyed in atmosphere when viewing other craft/debris
01/12/2014 10:02 PM - aaronburro

Status: Closed

Severity: Low

Assignee:
Target version:

Version: 0.23 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

Switching views between craft in the atmosphere can lead to complete destruction of an otherwise survivable craft when the distance
between the two crafts exceeds 5km. | expect this would also happen outside of an atmosphere if both craft are on sub-orbital
trajectories.

[b]What happens][/b]: Craft is destroyed after it gets more than 5km away

[b]What should happen[/b]: Craft should persist with simulation continued on it. At the very least, give a warning and allow the player
to choose a craft to switch to (pause game) before destroying the other craft with the understanding that the other craft will be
destroyed, killing any crew.

[b]Steps to reproduce|/b]:

Create a simple rocket, such as the one in the supplied file.

Go to launchpad.

Turn on SAS.

Launch.

Wait for engines to burn out.

Stage.

The command module will slowly drift away from the bottom section. Deploy the parachutes at an altitude where they won't open on
the way up.

Watch it through Apoapsis and up until the parachutes extend, which should be around 20k meters. At this point, the discarded
rockets are about 1k away.

Now, switch the view to the rockets using the '[' key.

Going to map view, you can see two paths, one for the command capsule and one for the rockets.

Keep watching until the command capsule gets more than 5km away, at which point it is "destroyed," even though it would otherwise
survive.

You can verify the other craft is destroyed by trying to switch back. Go to the space center, and it's not visible. Look on the map, it's
not visible.

[b]Second test: Parachutes set to 2.5km, and wait to stage them until 5km[/b].
In this test, the command capsule never gets more than 5km away from the discarded rockets.
When the rockets hit the ground, the view switches over to the command capsule and you descend safely to the ground.

[b]OS[/b]: Windows 7, 64-bit

[b]Version[/b]: 0.23 (Steam)

[b]MODSI/b]:  None (also happens with them, of course)
[b]Game Mode[/b]: Sandbox and Career.

History

#1 - 01/13/2014 02:57 AM - TruePikachu

- Status changed from New to Not a Bug

- % Done changed from 0 to 100

Works as intended, if something on-rails enters 0.01 atm or greater air pressure, it is removed from the simulation.

You'll note that trying to save or leave informs you that you can't do so, if you are in an atmosphere - it is because of this mechanic that you aren't
allowed to. Additionally, time warp (not physics warp) puts things on-rail, which is why you aren't allowed to use it in an atmosphere.
#2 - 01/13/2014 07:06 AM - EldOr

Yes, this is "Not a Bug".
But it is a "New" "Feedback" and aaronburro selected it right.

Back to Topic:

| learned this too...

While | thought at first this is a good and easy method to fly multiple missions at once (with staging); | realised after decoupling that one of my
Kerbonauts will burn in the athmosphere.

After that | found this: Atmosphere#On-rails_physics

Yes yes, it's nice for burning debris and an easy and processor load reducing way.

But | see a big conflict in this "feature" for future.
The planned function of re-using used boosters or other stages is not possible, if there is no way back for them.
Bye bye future money.

This will need a work over... There have to be a better way.
#3 - 01/13/2014 09:54 AM - Ted

- Status changed from Not a Bug to New

- % Done changed from 100 to 0

Please do not mark issues as "Not a Bug".
Normal users should only mark as Confirmed or Need More Info. | have changed the permissions to reflect this.
Thank you for the feedback, aaron.

#4 - 01/13/2014 04:43 PM - TruePikachu

Ted wrote:
Please do not mark issues as "Not a Bug".
Normal users should only mark as Confirmed or Need More Info. | have changed the permissions to reflect this.
Thank you for the feedback, aaron.

Oddily enough, I don't think | ever had the option for Need More Info. /offtopic

Ironically, | was just landing a beast of a craft in the desert, and | accidentially recovered (as in recovery) half of my crew while the other half was still
in the air...big mistake. Thankfully, none of the oranges were up there, but it likely would cause problems in the future, | can confirm that.

#5 - 01/14/2014 01:16 AM - EldOr
- Status changed from New to Confirmed

- % Done changed from 0 to 10
#6 - 01/14/2014 09:16 AM - Ted
TruePikachu wrote:
Ted wrote:
Please do not mark issues as "Not a Bug".

Normal users should only mark as Confirmed or Need More Info. | have changed the permissions to reflect this.
Thank you for the feedback, aaron.

Oddily enough, | don't think | ever had the option for Need More Info. /offtopic

Ah, | will double-check workflow perms here in a few. Thanks.

#7 - 11/24/2014 09:56 AM - Anonymous
- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

Going to resolve this. Thanks for the report but this is working as designed for the meantime. Please do open a more concise and filtered feedback
report for this issue if you would like to convey your opinion or suggestion on the matter.
http://wiki.kerbalspaceprogram.com/wiki/Atmosphere#On-rails_physics

#8 - 07/17/2016 09:18 AM - TriggerAu

- Status changed from Resolved to Closed

Files

Test2.craft 13 KB
